Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_AES_CBC_ENCRYPT_DATA_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_AES_CBC_ENCRYPT_DATA_PARAMS

public class CK_AES_CBC_ENCRYPT_DATA_PARAMS
extends java.lang.Object

The class CK_AES_CBC_ENCRYPT_DATA_PARAMS provides the parameters to the CKM_AES_CBC_ENCRYPT_DATA mechanism.

PKCS#11 structure:

      typedef struct CK_AES_CBC_ENCRYPT_DATA_PARAMS {
        CK_BYTE iv[16];
        CK_BYTE_PTR pData;
        CK_ULONG length;
      } CK_AES_CBC_ENCRYPT_DATA_PARAMS;

Author:
  Karl Scheibelhofer

Field Summary
`byte[]` | `iv` PKCS#11:
`byte[]` | `pData` PKCS#11:

Constructor Summary
`CK_AES_CBC_ENCRYPT_DATA_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_AES_CBC_ENCRYPT_DATA_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### iv

    public byte[] iv

  PKCS#11:

         CK_BYTE iv[16];

  The 16-byte initialization vector.

### pData

    public byte[] pData

  PKCS#11:

         CK_BYTE_PTR pData;
         CK_ULONG length;

Constructor Detail

### CK_AES_CBC_ENCRYPT_DATA_PARAMS

    public CK_AES_CBC_ENCRYPT_DATA_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_AES_CBC_ENCRYPT_DATA_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_AES_CBC_ENCRYPT_DATA_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18